/* Copyright (c) 2007 by IBM Corporation */

dojo.provide("zero.form.widget.field.FieldInputBox");

dojo.require("dijit.form.ValidationTextBox");
dojo.require("zero.form.widget.field.TextFieldValidationMixin");
dojo.require("zero.form.widget.field.properties.WidthPropertyMixin");

dojo.declare(
    "zero.form.widget.field.FieldInputBox", 
    [dijit.form.ValidationTextBox,
	zero.form.widget.field.TextFieldValidationMixin 
	],
    {	
		widthProperty: "",
		field: null,
				
		getHandlers: function()
		{
			return [new zero.form.widget.field.properties.WidthPropertyMixin()];
		},
		
		updateProperties: function(field)
		{
		},
		
		setAdditionalProperties: function(pJson)
		{
			if (pJson.width !== undefined) 
			{
				this.widthProperty = pJson.width;
			}
		},
		
		getAdditionalProperties: function(pJson)
		{
			if (this.widthProperty !== undefined && this.widthProperty !== "") 
			{
				pJson.width = this.widthProperty;
			}
		},
		
		getWidth: function()
		{
			return this.widthProperty;
		},
		
		setWidth: function(pWidth)
		{
			this.widthProperty = pWidth;
		}
    });
